DCMTK: DcmRLEEncoderRegistration Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | Private Member Functions | Static Private Attributes | List of all members
DcmRLEEncoderRegistration Class Reference

singleton class that registers an RLE encoder. More...

## Static Public Member Functions
static void | registerCodecs (OFBool pCreateSOPInstanceUID=OFFalse, Uint32 pFragmentSize=0, OFBool pCreateOffsetTable=OFTrue, OFBool pConvertToSC=OFFalse)
| registers RLE encoder.
static void | cleanup ()
| deregisters encoder.

## Private Member Functions
| DcmRLEEncoderRegistration (const DcmRLEEncoderRegistration &)
| private undefined copy constructor
DcmRLEEncoderRegistration & | operator= (const DcmRLEEncoderRegistration &)
| private undefined copy assignment operator

## Static Private Attributes
static OFBool | registered
| flag indicating whether the encoder is already registered.
static DcmRLECodecParameter * | cp
| pointer to codec parameter
static DcmRLECodecEncoder * | codec
| pointer to RLE encoder

## Detailed Description

singleton class that registers an RLE encoder.

## Member Function Documentation

## ◆ cleanup()

static void DcmRLEEncoderRegistration::cleanup | ( |  | ) |
| static

deregisters encoder.

Attention: Must not be called while other threads might still use the registered codecs, e.g. because they are currently encoding DICOM data sets through dcmdata.

## ◆ registerCodecs()

static void DcmRLEEncoderRegistration::registerCodecs | ( | OFBool | pCreateSOPInstanceUID = OFFalse,
|  | Uint32 | pFragmentSize = 0,
|  | OFBool | pCreateOffsetTable = OFTrue,
|  | OFBool | pConvertToSC = OFFalse )
| static

registers RLE encoder.

If already registered, call is ignored unless cleanup() has been performed before.

Parameters

  pCreateSOPInstanceUID | flag indicating whether or not a new SOP Instance UID should be assigned upon compression.
  pFragmentSize | maximum fragment size (in kbytes) for compression, 0 for unlimited.
  pCreateOffsetTable | create offset table during image compression?
  pConvertToSC | flag indicating whether image should be converted to Secondary Capture upon compression

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcrleerg.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2